<?php

if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) :
		?>
		<h2 class="comments-title">
			<?php
			$myfolio_comment_count = get_comments_number();
			if ( '1' === $myfolio_comment_count ) {
				printf(
					esc_html__( 'One comment on &ldquo;%1$s&rdquo;', 'myfolio' ),
					'<span>' . get_the_title() . '</span>'
				);
			} else {
				printf(
					esc_html( _nx( '%1$s comments', '%1$s comments', $myfolio_comment_count, 'comments title', 'myfolio' ) ),
					number_format_i18n( $myfolio_comment_count ),
					'<span>' . get_the_title() . '</span>'
				);
			}
			?>
		</h2><!-- .comments-title -->

		<?php the_comments_navigation(); ?>

		<ol class="comment-list">
			<?php
			wp_list_comments( array(
				'style'      => 'ol',
				'short_ping' => true,
				'avatar_size' => 80,
			) );
			?>
		</ol><!-- .comment-list -->

		<?php
		the_comments_navigation();

		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() ) :
			?>
			<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'myfolio' ); ?></p>
			<?php
		endif;

	endif; // Check for have_comments().

	comment_form( array(
	  'id_form'           => 'commentform',
	  'class_form'        => 'comment-form',
	  'submit_button' 	  => '<button class="%3$s" type="submit">%4$s</button>',
	  'label_submit'      => esc_html__( 'Submit','myfolio' ),
	  'format'            => 'html5',
	  'comment_notes_before' => false,

	  'comment_field' =>  '<textarea id="comment" name="comment" placeholder="'. esc_attr__( 'Message' ,'myfolio' ) .'" aria-required="true">' .
	    '</textarea>',

	  'fields' => apply_filters( 'comment_form_default_fields', array(
		  'author' =>
		    '<input id="author" name="author" type="text" placeholder="'. esc_attr__( 'Name' ,'myfolio' ) .'" value="' . esc_attr( $commenter['comment_author'] ) .
		    '" aria-required="true" />',

		  'email' =>
		    '<input id="email" name="email" type="text" placeholder="'. esc_attr__( 'Email' ,'myfolio' ) .'" value="' . esc_attr(  $commenter['comment_author_email'] ) .
		    '" aria-required="true" />',
			)
		),
	));
	?>

</div><!-- #comments -->
