<?php

$footer_text_setting = !empty( get_theme_mod( 'footer_text_setting' ) ) ? get_theme_mod( 'footer_text_setting' ) : '';

$default_social_icons = array(
    array(
        'link_text' => 'fa-facebook',
		'link_url'  => 'https://facebook.com',
	),
	array(
		'link_text' => 'fa-twitter',
		'link_url'  => 'https://twitter.com',
	),
	array(
		'link_text' => 'fa-github',
		'link_url'  => 'https://github.com',
	),
	array(
		'link_text' => 'fa-behance',
		'link_url'  => 'https://behance.com',
	),
	array(
		'link_text' => 'fa-dribbble',
		'link_url'  => 'https://dribbble.com',
	),
);

$footer_social_icons = !empty( get_theme_mod( 'footer_social_icons' ) ) ? get_theme_mod( 'footer_social_icons' ) : $default_social_icons;
?>


	<footer class="site-footer">
		<div class="footer-logo text-center">
		<?php 
		if ( ! has_custom_logo() ) { ?>
				<a class="navbar-logo" rel="home" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" itemprop="url"><?php bloginfo( 'name' ); ?></a>

			<?php } else {
				the_custom_logo();
			}
		?>
		</div>
		<div class="footer-menu">
			<?php
				wp_nav_menu( array(
				'theme_location'    => 'footer',
				'depth'             => 2,
				'container'         => 'ul',
				'menu_class'        => 'list-inline',
			) );
			?>
		</div>
		<div class="footer-social">
			<ul class="list-inline">
			<?php foreach( $footer_social_icons as $footer_social_icon ) : ?>
				<li class="list-inline-item"><a href="<?php echo esc_url( $footer_social_icon['link_url'] ); ?>"><i class="fa <?php echo esc_attr( $footer_social_icon['link_text'] ); ?>"></i></a></li>
		    <?php endforeach; ?>
			</ul>
		</div>

		<div class="copyright-text">
			<?php
		    if( $footer_text_setting ) {
		        echo wp_kses( $footer_text_setting , array(
		            'a' => array(
		                'href'    => array(),
		                'title'   => array()
		            ),
		            'br'      => array(),
		            'em'      => array(),
		            'strong'  => array(),
		            'img'     => array(
		                'src' => array(),
		                'alt' => array()
		            ),
		        ));
		    } else { ?>
		    <p><?php echo esc_html__( 'Copyright 2018 All right reserved by BusinessTheme','myfolio' );?></p>
		    <?php } ?>
		</div>
	</footer>
	
	<div id="backtotop"><i class="fa fa-2x fa-long-arrow-up"></i></div>
	
	<?php wp_footer(); ?>

	</body>
</html>
