<?php

$blog_title_setting = !empty( get_theme_mod( 'blog_title_setting' ) ) ? get_theme_mod( 'blog_title_setting' ) : 'Latest Blog';

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<!-- Preloading -->
    <div id="preloader">
        <div class="spinner">
        	<div class="uil-ripple-css" style="transform:scale(0.29);"><div></div><div></div></div>
        </div>
    </div>
	<!-- site header -->
	<header>
		<nav class="navbar navbar-expand-lg">
			<div class="container">
				<?php if ( ! has_custom_logo() ) { ?>
					<a class="navbar-logo" rel="home" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" itemprop="url"><?php bloginfo( 'name' ); ?></a>

				<?php } else {
					the_custom_logo();
				}?>
				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
				</button>
				<div class="collapse navbar-collapse" id="navbarSupportedContent">
					<?php
						wp_nav_menu( array(
						'theme_location'    => 'menu-1',
						'depth'             => 2,
						'container'         => 'ul',
						'menu_class'        => 'navbar-nav ml-auto',
						'walker'            => new WP_Bootstrap_Navwalker(),
					) );
					?>
				</div>
			</div>
		</nav>
	</header>


	<?php if (!is_page_template( 'custom-homepage.php' )) { ?>
		<section class="breadcrumb-header text-center">
			<div class="container">
				<div class="title-header">
					<h1>
			          <?php
			              if(is_home() && is_front_page()){

			              	echo esc_html( $blog_title_setting );

			              } elseif(is_home()) {

			              	echo esc_html( $blog_title_setting );

			              } else {

			              	wp_title('');
			              }
			          ?>
			        </h1>
					<?php myfolio_breadcrumb(); ?>
				</div>			
			</div>
		</section>
	<?php } ?>