<?php

if ( ! defined( 'ABSPATH' ) ) exit;

function myfolio_add_elementor_widget_categories( $elements_manager ) {

	$elements_manager->add_category(
		'myfolio-elements',
		[
			'title' => esc_html__( 'myfolio Elements', 'myfolio' ),
			'icon' => 'fa fa-plug',
		]
	);

}
add_action( 'elementor/elements/categories_registered', 'myfolio_add_elementor_widget_categories' );



//Elementor init

class myfolio_ElementorCustomElement {
 
   private static $instance = null;
 
   public static function get_instance() {
      if ( ! self::$instance )
         self::$instance = new self;
      return self::$instance;
   }
 
   public function init(){
      add_action( 'elementor/widgets/widgets_registered', array( $this, 'widgets_registered' ) );
   }


   public function widgets_registered() {
 
    // We check if the Elementor plugin has been installed / activated.
    if(defined('ELEMENTOR_PATH') && class_exists('Elementor\Widget_Base')){

      get_template_part( 'inc/elementor/widgets/widget', 'title' );
      get_template_part( 'inc/elementor/widgets/widget', 'aboutme' );
      get_template_part( 'inc/elementor/widgets/widget', 'contacts' );
      get_template_part( 'inc/elementor/widgets/widget', 'service' );
      get_template_part( 'inc/elementor/widgets/widget', 'portfolio' );
      get_template_part( 'inc/elementor/widgets/widget', 'testimonials' );
      get_template_part( 'inc/elementor/widgets/widget', 'progress' );
      get_template_part( 'inc/elementor/widgets/widget', 'button' );
      get_template_part( 'inc/elementor/widgets/widget', 'partner' );

      }
	}

}
 
myfolio_ElementorCustomElement::get_instance()->init();