<?php 
namespace Elementor;
 
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// aboutme_image
class myfolio_Widget_AboutMe extends Widget_Base {
 
   public function get_name() {
      return 'aboutme_image';
   }
 
   public function get_title() {
      return esc_html__( 'About Me Image', 'myfolio' );
   }
 
   public function get_icon() { 
        return 'eicon-person';
   }
 
   public function get_categories() {
      return [ 'myfolio-elements' ];
   }

   protected function _register_controls() {

      $this->start_controls_section(
         'aboutme_image_section',
         [
            'label' => esc_html__( 'aboutme_image Image', 'myfolio' ),
            'type' => Controls_Manager::SECTION,
         ]
      );

      $this->add_control(
         'image',
         [
            'label' => __( 'Choose Photo', 'myfolio' ),
            'type' => \Elementor\Controls_Manager::MEDIA,
            'default' => [
               'url' => \Elementor\Utils::get_placeholder_image_src(),
            ],
         ]
      );

      $this->add_control(
         'play_button',
         [
            'label' => __( 'Play Button URL', 'myfolio' ),
            'type' => \Elementor\Controls_Manager::TEXT
         ]
      );

      $this->end_controls_section();

   }

   protected function render( $instance = [] ) {
 
      // get our input from the widget settings.
       
      $settings = $this->get_settings_for_display();
      
      //Inline Editing
      $this->add_inline_editing_attributes( 'image', 'basic' );
      $this->add_inline_editing_attributes( 'play_button', 'basic' );
      ?>

      <?php if ($settings['image']['id']): ?>
         <div class="about_me_image">
         <?php echo wp_get_attachment_image( $settings['image']['id'], 'full' ); ?>
         <a class="popup-video" href="<?php echo esc_url($settings['play_button']); ?>">
            <span class="aboutme_image_icon"><i class="fa fa-play"></i></span>
         </a>
      </div>
      <?php endif;
   }
 
}

Plugin::instance()->widgets_manager->register_widget_type( new myfolio_Widget_AboutMe );