<?php 
namespace Elementor;
 
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
// service item
class myfolio_Widget_Service extends Widget_Base {
 
   public function get_name() {
      return 'service item';
   }
 
   public function get_title() {
      return esc_html__( 'service item', 'myfolio' );
   }
 
   public function get_icon() { 
        return 'eicon-facebook-comments';
   }
 
   public function get_categories() {
      return [ 'myfolio-elements' ];
   }
   protected function _register_controls() {
      $this->start_controls_section(
         'service_section',
         [
            'label' => esc_html__( 'service item', 'myfolio' ),
            'type' => Controls_Manager::SECTION,
         ]
      );
      $this->add_control(
         'icon',
         [
            'label' => __( 'Icon', 'myfolio' ),
            'type' => \Elementor\Controls_Manager::MEDIA,
         ]
      );

      $this->add_control(
         'title',
         [
            'label' => __( 'Title', 'myfolio' ),
            'type' => \Elementor\Controls_Manager::TEXT,
            'default' => 'Web Development',
         ]
      );
      $this->add_control(
         'text',
         [
            'label' => __( 'Text', 'myfolio' ),
            'type' => \Elementor\Controls_Manager::TEXTAREA,
            'default' => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum standard dummy text.',
         ]
      );
      
      $this->end_controls_section();
   }
   protected function render( $instance = [] ) {
 
      // get our input from the widget settings.
       
      $settings = $this->get_settings_for_display();
      
      //Inline Editing
      $this->add_inline_editing_attributes( 'icon', 'basic' );
      $this->add_inline_editing_attributes( 'title', 'basic' );
      $this->add_inline_editing_attributes( 'text', 'basic' );
      ?>
      <div class="item-service">
         <div class="item-service-icon">
            <img src="<?php echo esc_url( $settings['icon']['url'] ); ?>" alt="Icon">
         </div>
         <div class="item-service-content">
            <h5><?php echo esc_html($settings['title']); ?></h5>
            <p><?php echo esc_html($settings['text']); ?></p>            
         </div>
      </div>
      <?php
   }
 
}
Plugin::instance()->widgets_manager->register_widget_type( new myfolio_Widget_Service );