(function($) {
    "use strict";

    //Preloader
    $('#preloader').delay(350).fadeOut('slow');

    // portfolio isotope
    $(".project-filter li").on('click', function() {

        $(".project-filter li").removeClass("active");
        $(this).addClass("active");

        var selector = $(this).attr('data-filter');
        $(".project-list").isotope({
            filter: selector,
        });

    });

    // Filter Project Carousel
    $('.filter-project-carousel').slick({
        dots: false,
        arrows: false,
        infinite: true,
        speed: 300,
        slidesToShow: 4,
        slidesToScroll: 4,
        responsive: [
        {
          breakpoint: 1024,
          settings: {
            slidesToShow: 3,
            slidesToScroll: 3,
          }
        },
        {
          breakpoint: 600,
          settings: {
            slidesToShow: 2,
            slidesToScroll: 2
          }
        },
        {
          breakpoint: 480,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1
          }
        }
        ]
    });


    //Navbar Fixed
    $(window).on('scroll', function() {
        if ($(document).scrollTop() > 85) {
            $('.navbar').addClass('fixed-top');
        } else {
            $('.navbar').removeClass('fixed-top');
        }
    });

    // Popup Video
    $('.popup-video').magnificPopup({
        disableOn: 700,
        type: 'iframe',
        mainClass: 'mfp-fade',
        removalDelay: 160,
        preloader: false,
        fixedContentPos: false
    });

    // Testimonial
    var testmonialBxSlider = $('.testimonials');
    if (testmonialBxSlider.length > 0) {
        testmonialBxSlider.bxSlider({
            // adaptiveHeight: true,
            auto: true,
            controls: true,
            nextText: '<i class="fa fa-long-arrow-right"></i>',
            prevText: '<i class="fa fa-long-arrow-left"></i>',
            mode: 'fade',
            pause: 3000,
            speed: 500,
            pager: true,
            pagerCustom: '.testimonial-integrator'
        });
    }

    //Back to top

    $(window).on('scroll', function() {
        if ($(this).scrollTop() >= 700) {
            $('#backtotop').fadeIn(500);
        } else {
            $('#backtotop').fadeOut(500);
        }
    });

    $('#backtotop').on('click', function() {
        $('body,html').animate({
            scrollTop: 0
        }, 500);
    });

    // counter
    $('.counter').counterUp({
        delay: 10,
        time: 1000
    });

    // Progress
    $('.progressbar-item').each(function(){
        var t = $(this);
        var dataperc = t.attr('data-perc'),
                barperc = Math.round(dataperc);
        t.find('.bar').animate({width:barperc+'%'}, dataperc*25);
        t.find('.label').append('<div class="perc"></div>');
        t.find('.label').animate({left:barperc+'%'}, dataperc*25);

        function perc() {
            var length = t.find('.bar').css('width'),
                perc = Math.round(parseInt(length)/5.56);
            t.find('.perc').text(perc+'%');
        }
        perc();
        setInterval(perc, 0); 
  
    });

    // Add class 
    $('.footer-menu ul li').addClass('list-inline-item');
    $('.testimonial-integrator .testi-nav:first-child').addClass('active');

    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/testimonials.default', function($scope, $){
            $scope.find('.testimonials').bxSlider({
                auto: true,
                controls: true,
                nextText: '<i class="fa fa-long-arrow-right"></i>',
                prevText: '<i class="fa fa-long-arrow-left"></i>',
                mode: 'fade',
                pause: 3000,
                speed: 500,
                pager: true,
                pagerCustom: '.testimonial-integrator'
            });
        });

        elementorFrontend.hooks.addAction( 'frontend/element_ready/portfolio.default', function($scope, $){
            $scope.find('.filter-project-carousel').not('.slick-initialized').slick({
                dots: false,
                arrows: false,
                infinite: true,
                speed: 300,
                slidesToShow: 4,
                slidesToScroll: 4,
                responsive: [
                {
                  breakpoint: 1024,
                  settings: {
                    slidesToShow: 3,
                    slidesToScroll: 3,
                  }
                },
                {
                  breakpoint: 600,
                  settings: {
                    slidesToShow: 2,
                    slidesToScroll: 2
                  }
                },
                {
                  breakpoint: 480,
                  settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1
                  }
                }
                ]
            });
        });
    });


})(jQuery);