<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package myfolio
 */

?>

<?php if (is_singular()) { ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="entry-content">
			<?php if (has_post_thumbnail()): ?>
			<div class="single-post-image">
				<?php the_post_thumbnail('myfolio-single-page-image') ?>
			</div>
			<?php endif ?>
			<?php
			the_content( sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'myfolio' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				get_the_title()
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'myfolio' ),
				'after'  => '</div>',
			) );
			?>
			<span class="post-tag">
			<?php echo esc_html__('Tags : ', 'myfolio') . get_the_tag_list('', esc_html_x(' ', 'list item separator', 'myfolio'));?>
			</span>

		</div><!-- .entry-content -->
	</article><!-- #post-<?php the_ID(); ?> -->

<?php } else { ?>

	<div id="post-<?php the_ID(); ?>" <?php post_class('post-item'); ?>>
		<?php if (has_post_thumbnail()): ?>
			<div class="post-item-image">
				<a href="<?php the_permalink() ?>"><?php the_post_thumbnail( 'myfolio-team-1280x600', ['class' => 'img-fluid']) ?></a>			
			</div>
		<?php endif ?>
		<div class="post-item-content row">	
			<div class="col-lg-9 col-md-12">
				<p><i class="fa fa-user"></i> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" class="link"><?php the_author(); ?></a></p>
				<a href="<?php the_permalink() ?>">
					<?php the_title( '<h4>', '</h4>' ) ?>
				</a>
				<i class="fa fa-long-arrow-right"></i><a class="readmore-btn" href="<?php the_permalink() ?>"><?php echo esc_html__( 'Read More', 'myfolio') ?></a>
			</div>
			<div class="col-lg-3 text-center">
				<h2 class="post-date" data-titles="<?php the_time('j') ?>"><?php the_time('j') ?></h2>
				<span><?php the_time('F') ?></span>
			</div>
		</div>
	</div>
	
<?php } ?>
